Subject: Re: space compression (again)

From: Martin Uecker <[email-masked]>
Date: Sat, 16 Apr 2005 16:39:05 +0200

On Fri, Apr 15, 2005 at 12:11:43PM -0700, Linus Torvalds wrote:

> On Fri, 15 Apr 2005, C. Scott Ananian wrote:
> > 
> > So I guess I'll have to implement this and find out, won't I? =)
> 
> The best way to shup somebody up is always to just do it, and say "hey, I 
> told you so". It's hard to argue with numbers.

The right thing (TM) is to switch from SHA1 of compressed
content for the complete monolithic file to a merkle hash tree
of the uncompressed content. This would make the hash
independent of the actual storage method (chunked or not). 

Martin

-- 
One night, when little Giana from Milano was fast asleep,
she had a strange dream.